PeopleForce
Core

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

Create a location

Create a new location

POST
/api/v4/locations

Create a new location

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create a new location

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v4/locations" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": 0,    "name": "string",    "country_code": "string",    "address": "string",    "time_zone": "string",    "holiday_policy_id": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}